using Godot;
using System;

public partial class PhoneButton : TextureButton
{
	// [Signal]
	// public delegate void HoverEventHandler(Shield THISSHIELD, bool ISHOVERED);
	public bool _isHovered = false;
	public Phone _phone;
	public Contact _contact;

    public override void _Ready()
    {
        base._Ready();
		_contact = GetNode<Contact>("Contact");
    }

    public override void _Pressed()
    {
        base._Pressed();
		if (_contact._clickable)
		{
			_contact.CallAction();
		}
    }



	// private void OnMouseEntered()
	// {
	//     _isHovered = true;
	//     EmitSignal(SignalName.Hover, this, _isHovered);
	// }

	// private void OnMouseExited()
	// {
	//     _isHovered = false;
	//     EmitSignal(SignalName.Hover, this, _isHovered);
	// }
}
